ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetInterface

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetInterface

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class InetInterface
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INTERFACE_ANY`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getDeviceTypeId()`
    `void` | `setDeviceTypeId(int inetSourceId)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### INTERFACE_ANY

          public static final int INTERFACE_ANY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InetInterface

          public InetInterface()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Id`

    - #### getDeviceTypeId

          public int getDeviceTypeId()

    - #### setDeviceTypeId

          public void setDeviceTypeId(int inetSourceId)